summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorBoris Kolpackov <boris@codesynthesis.com>2013-02-11 13:06:23 +0200
committerBoris Kolpackov <boris@codesynthesis.com>2013-02-11 13:06:23 +0200
commita4a5194f4ffc82aa817f4b8e2d4f6d29dac1a0b9 (patch)
tree8d4788106d2f208113ad728cac793047242891b8
parent0b23a3f3b097d89be0a0221e32dd3a970c188df3 (diff)
Update Windows build to handle Qt versions2.2.0
-rw-r--r--test/windows/README2
-rwxr-xr-xtest/windows/odb/all26
-rwxr-xr-xtest/windows/odb/build.bat53
3 files changed, 54 insertions, 27 deletions
diff --git a/test/windows/README b/test/windows/README
index 55532d0..5ab9228 100644
--- a/test/windows/README
+++ b/test/windows/README
@@ -42,4 +42,4 @@ Steps:
6. Run the 'all' script:
- ./all <vc-version> <database> <conf> <plat> 2>&1 | tee all.log
+ ./all <vc-version> <qt-version ><database> <conf> <plat> 2>&1 | tee all.log
diff --git a/test/windows/odb/all b/test/windows/odb/all
index e4a5532..9b91ca3 100755
--- a/test/windows/odb/all
+++ b/test/windows/odb/all
@@ -9,53 +9,59 @@ function error ()
function usage ()
{
- error "usage: $0 vc-version database conf plat [action]"
+ error "usage: $0 qt-version vc-version database conf plat [action]"
error " valid configurations are: {Debug,Release}|all"
error " valid platforms are: {Win32,x64}|all"
error " valid actions are: /Build (default), /Clean, and /Rebuild"
}
if [ "$1" = "" ]; then
- error vc version expected
+ error qt version expected
usage
exit 1
fi
if [ "$2" = "" ]; then
+ error vc version expected
+ usage
+ exit 1
+fi
+
+if [ "$3" = "" ]; then
error database expected
usage
exit 1
else
- if [ "$2" = "all" ]; then
+ if [ "$3" = "all" ]; then
databases="mssql oracle pgsql sqlite mysql"
else
- databases=$2
+ databases=$3
fi
fi
-if [ "$3" = "" ]; then
+if [ "$4" = "" ]; then
error configuration expected
usage
exit 1
fi
-if [ "$4" = "" ]; then
+if [ "$5" = "" ]; then
error platform expected
usage
exit 1
fi
-action=$5
+action=$6
if [ "$action" == "" ]; then
action=/Build
fi
for d in $databases; do
- cmd.exe /C setenv.bat "$1" build.bat "$d" "$1" "$3" "$4" "$action"
+ cmd.exe /C setenv.bat "$2" build.bat "$d" "$1" "$2" "$4" "$5" "$action"
cd odb-tests-$d
- cmd.exe /C ..\\setenv.bat "$1" test.bat "$d"
+ cmd.exe /C ..\\setenv.bat "$2" test.bat "$d"
cd ..
cd odb-examples-$d
- cmd.exe /C ..\\setenv.bat "$1" test.bat "$d"
+ cmd.exe /C ..\\setenv.bat "$2" test.bat "$d"
cd ..
done
diff --git a/test/windows/odb/build.bat b/test/windows/odb/build.bat
index 98b8d67..a929aa3 100755
--- a/test/windows/odb/build.bat
+++ b/test/windows/odb/build.bat
@@ -4,7 +4,7 @@ rem copyright : Copyright (c) 2009-2013 Code Synthesis Tools CC
rem license : GNU GPL v2; see accompanying LICENSE file
rem
-rem build.bat database vc-version conf plat [/Build|/Clean|/Rebuild]
+rem build.bat database vc-version qt-version conf plat [/Build|/Clean|/Rebuild]
rem
rem conf: {Debug,Release}|all
rem plat: {Win32,x64}|all
@@ -18,38 +18,51 @@ if "_%1_" == "__" (
)
if "_%2_" == "__" (
+ echo no Qt version specified
+ goto usage
+)
+
+if "_%3_" == "__" (
echo no VC++ version specified
goto usage
)
-if "_%~3_" == "__" (
+if "_%~4_" == "__" (
echo no configuration specified
goto usage
)
-if "_%~4_" == "__" (
+if "_%~5_" == "__" (
echo no platform specified
goto usage
)
set "failed="
-if "_%2_" == "_9_" set "vcver=9"
-if "_%2_" == "_10_" set "vcver=10"
-if "_%2_" == "_11_" set "vcver=11"
+if "_%2_" == "_4_" set "qtver=4"
+if "_%2_" == "_5_" set "qtver=5"
+
+if "_%qtver%_" == "__" (
+ echo unknown Qt version %2
+ goto usage
+)
+
+if "_%3_" == "_9_" set "vcver=9"
+if "_%3_" == "_10_" set "vcver=10"
+if "_%3_" == "_11_" set "vcver=11"
if "_%vcver%_" == "__" (
- echo unknown VC++ version %2
+ echo unknown VC++ version %3
goto usage
)
-set "confs=%~3"
-set "plats=%~4"
+set "confs=%~4"
+set "plats=%~5"
if "_%confs%_" == "_all_" set "confs=Debug Release"
if "_%plats%_" == "_all_" set "plats=Win32 x64"
-set "action=%5"
+set "action=%6"
if "_%action%_" == "__" set "action=/Build"
set "devenv=%DEVENV%"
@@ -71,7 +84,7 @@ goto :eof
:start
-for %%d in (libodb libodb-%1 libodb-boost libodb-qt) do (
+for %%d in (libodb libodb-%1 libodb-boost) do (
for %%c in (%confs%) do (
for %%p in (%plats%) do (
call :run_build %%d/%%d-vc%vcver%.sln %%c %%p
@@ -79,6 +92,14 @@ for %%d in (libodb libodb-%1 libodb-boost libodb-qt) do (
)
)
+for %%d in (libodb-qt) do (
+ for %%c in (%confs%) do (
+ for %%p in (%plats%) do (
+ call :run_build %%d/%%d%qtver%-vc%vcver%.sln %%c %%p
+ )
+ )
+)
+
if not "_%failed%_" == "__" goto error
for %%c in (%confs%) do (
@@ -99,28 +120,28 @@ if not "_%failed%_" == "__" goto error
for %%c in (%confs%) do (
for %%p in (%plats%) do (
- call :run_build odb-examples-%1/qt/qt-%1-vc%vcver%.sln %%c %%p
+ call :run_build odb-examples-%1/qt/qt%qtver%-%1-vc%vcver%.sln %%c %%p
)
)
if not "_%failed%_" == "__" goto error
cd odb-tests-%1
-call build.bat %1 %2 %3 %4 %action%
+call build.bat %1 %3 %4 %5 %action%
if errorlevel 1 (
cd ..
goto error
)
cd boost
-call build.bat %1 %2 %3 %4 %action%
+call build.bat %1 %3 %4 %5 %action%
if errorlevel 1 (
cd ..\..
goto error
)
cd ..\qt
-call build.bat %1 %2 %3 %4 %action%
+call build.bat %1 %2 %3 %4 %5 %action%
if errorlevel 1 (
cd ..\..
goto error
@@ -133,7 +154,7 @@ goto end
:usage
echo.
-echo usage: build.bat database vc-version conf plat [action]
+echo usage: build.bat database qt-version vc-version conf plat [action]
echo valid configurations are: {Debug,Release}|all
echo valid platforms are: {Win32,x64}|all
echo valid actions are: /Build (default), /Clean, and /Rebuild